]> git.zerfleddert.de Git - m1-debian/commitdiff
Merge branch 'master' of 88.198.237.222:/git/m1-debian
authorThomas Glanzmann <thomas@glanzmann.de>
Thu, 27 Oct 2022 16:42:42 +0000 (18:42 +0200)
committerThomas Glanzmann <thomas@glanzmann.de>
Thu, 27 Oct 2022 16:42:42 +0000 (18:42 +0200)
1  2 
gpu.sh

diff --combined gpu.sh
index d47328a91486b4d3449b9340cf71919d2a9e8850,d82b0453edce7eba7198ef987ff6dc733d28a18f..f6ee3f0fc85f50f6bde36307afcc7451d56d7767
--- 1/gpu.sh
--- 2/gpu.sh
+++ b/gpu.sh
@@@ -1,9 -1,13 +1,13 @@@
- #!/bin/bash
+ #!/usr/bin/env bash
  
  # SPDX-License-Identifier: MIT
  
- set -x
- set -e
+ set -o errexit
+ set -o nounset
+ set -o pipefail
+ set -o xtrace
+ cd "$(dirname "$0")"
  
  unset LC_CTYPE
  unset LANG
@@@ -14,7 -18,7 +18,7 @@@ build_linux(
          test -d linux || git clone https://github.com/AsahiLinux/linux
          cd linux
          git fetch -a -t
 -        git reset --hard origin/gpu/rust-wip;
 +        git reset --hard origin/asahi-wip;
          source "$HOME/.cargo/env"
          curl -sL https://tg.st/u/3007a82fe2f3ef7d91945e1cb3e5a167f8d6b0550ecb67850d1cd85f3efa112e.config > .config
          make LLVM=-14 olddefconfig
Impressum, Datenschutz